package dev.cockscomb.client_android

import android.os.Bundle
import androidx.activity.ComponentActivity
import androidx.activity.compose.setContent
import androidx.compose.material.MaterialTheme
import androidx.compose.material.Surface
import androidx.compose.runtime.CompositionLocalProvider
import com.apollographql.apollo.ApolloClient
import dev.cockscomb.client_android.ui.theme.ClientTheme
import dev.cockscomb.client_android.views.BlogList

class MainActivity : ComponentActivity() {
    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)

        val apolloClient = ApolloClient.builder()
            .serverUrl("http://10.0.2.2:4000/graphql")
            .build()

        setContent {
            ClientTheme {
                Surface(
                    color = MaterialTheme.colors.background
                ) {
                    CompositionLocalProvider(
                        LocalApolloClient provides apolloClient
                    ) {
                        BlogList()
                    }
                }
            }
        }
    }
}
