//
//  ApolloClient+Concurrency.swift
//  client-ios
//
//  Created by Hiroki Kato on 2021/09/16.
//

import Foundation

import Apollo

extension ApolloClient {
    func fetch<Query: GraphQLQuery>(
        query: Query,
        cachePolicy: CachePolicy = .default,
        contextIdentifier: UUID? = nil
    ) async throws -> GraphQLResult<Query.Data> {
        try await withUnsafeThrowingContinuation { continuation in
            self.fetch(
                query: query,
                cachePolicy: cachePolicy,
                contextIdentifier: contextIdentifier) { result in
                    continuation.resume(with: result)
                }
        }
    }
}
