//
//  BlogList.swift
//  client-ios
//
//  Created by Hiroki Kato on 2021/08/22.
//

import SwiftUI

@MainActor
struct BlogList: View {
    @Environment(\.apolloClient) var apolloClient
    @State private var blogs: [BlogListQuery.Data.Blog.Edge.Node] = []

    var body: some View {
        List(blogs, id: \.id) { blog in
            Text(blog.name)
        }
        .task {
            do {
                let result = try await apolloClient!.fetch(
                    query: BlogListQuery(first: 10)
                )
                let edges = result.data?.blogs.edges
                if let nodes = edges?.compactMap({ $0?.node }) {
                    blogs = nodes
                }
            } catch {
            }
        }
    }
}

struct BlogList_Previews: PreviewProvider {
    static var previews: some View {
        BlogList()
    }
}
